Loading...
Searching...
No Matches
gr_complex.h File Reference
`#include <complex>`
Include dependency graph for gr_complex.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef std::complex< float > | gr_complex
typedef std::complex< double > | gr_complexd

## Functions

bool | is_complex (gr_complex x)
bool | is_complex (gr_complexd x)
bool | is_complex (float x)
bool | is_complex (double x)
bool | is_complex (int x)
bool | is_complex (char x)
bool | is_complex (short x)

## Typedef Documentation

## gr_complex

typedef std::complex<float> gr_complex

## gr_complexd

typedef std::complex<double> gr_complexd

## Function Documentation

## is_complex() [1/7]

bool is_complex | ( | char | x | ) |

inline

## is_complex() [2/7]

bool is_complex | ( | double | x | ) |

inline

## is_complex() [3/7]

bool is_complex | ( | float | x | ) |

inline

## is_complex() [4/7]

bool is_complex | ( | gr_complex | x | ) |

inline

## is_complex() [5/7]

bool is_complex | ( | gr_complexd | x | ) |

inline

## is_complex() [6/7]

bool is_complex | ( | int | x | ) |

inline

## is_complex() [7/7]

bool is_complex | ( | short | x | ) |

inline